// Copyright none
#ifndef UEBUNGSBLATT_12_GRAPH_H_
#define UEBUNGSBLATT_12_GRAPH_H_

#include <string>
#include <vector>

class Arc {
 public:
  int headNodeId;
  int cost;
};



class Graph {
 public:
  // Construct an empty graph.
  Graph();

  // Add a node to this graph.
  void addNode();

  // Add an arc = a directed edge to this graph.
  void addArc(int u, int v);

  // Show the graph in human-readable form
  // (useful for debugging and testing).
  std::string toString();

  std::vector< std::vector<Arc> > _adjecencylist;
  int _num_arcs;
};
#endif  // UEBUNGSBLATT_12_GRAPH_H_
