// Copyright none
#include <gtest/gtest.h>
#include <string>
#include "./Graph.h"


TEST(GraphTest, constructor) {
  Graph graph;
  ASSERT_EQ("{0, 0}", graph.toString());
}

TEST(GraphTest, addNodesAndArcs) {
  Graph graph;
  // Add three nodes: 0, 1, 2.
  graph.addNode();
  graph.addNode();
  graph.addNode();
  // Add four arcs.
  graph.addArc(0, 1);
  graph.addArc(1, 2);
  graph.addArc(0, 2);
  graph.addArc(2, 0);
  // Check that the correct graph was constructed.
  ASSERT_EQ("{3, 4, (0,1), (0,2), (1,2), (2,0)}", graph.toString());
}
